Get export status
curl --request GET \
--url https://api.engagefabric.com/api/v1/analytics/export/{id}import requests
url = "https://api.engagefabric.com/api/v1/analytics/export/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.engagefabric.com/api/v1/analytics/export/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"exportId": "<string>",
"status": "processing",
"format": "csv",
"expiresAt": "<string>",
"createdAt": "<string>",
"completedAt": "<string>",
"downloadUrl": "<string>",
"fileSize": 123,
"recordCount": 123,
"error": "<string>"
}Analytics
Get export status
Returns the status of an export job and download URL when complete.
GET
/
api
/
v1
/
analytics
/
export
/
{id}
Get export status
Path Parameters
Export job ID
Response
200 - application/json
Export status
Export job ID
Current export status
Available options:
processing, completed, failed Export format
Available options:
csv, json Export expiration time
Export creation time
Export completion time
Download URL (available when status is COMPLETED)
Export file size in bytes
Number of records exported
Error message (if status is FAILED)
